Read Group Version

Read a version of a FHIR R4 Group resource by logical ID and version ID.

Endpoint

GET /api/fhir/r4/Group/{rid}/_history/{vid}

Base URL: https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r4

Example request: GET /api/fhir/r4/Group/00000000-0000-4000-8000-000000000006/_history/1

Example URL: https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r4/Group/00000000-0000-4000-8000-000000000006/_history/1

Headers

{"Accept":"application/fhir+json","Authorization":"Bearer [REDACTED]"}

Parameters

ParameterInRequiredTypeDescription
rid path true uuid Logical id of the Group resource. Use the logical id of the resource.
vid path true string FHIR resource version id. Use the version id of the resource.

Authorization

The supported authorization model uses OAuth 2.0 scopes issued by OCI Identity Domains. Send the access token as a bearer token. Resource-server definitions and issued access-token claims use canonical system/... scopes. Client grants and token requests use the corresponding ddfssystem/... form. For examples, see Reference: Authentication and Scopes.

Context Scope form
Resource-server definition system/Group.r
Client grant/token request ddfssystem/Group.r
Issued token's scope claim system/Group.r

Example Response

{
  "resourceType": "Group",
  "id": "00000000-0000-4000-8000-000000000006",
  "meta": {
    "versionId": "1",
    "lastUpdated": "2020-01-01T00:00:00Z",
    "profile": [],
    "security": [],
    "tag": [
      {
        "system": "https://example.com/fhir/tag",
        "code": "documentation-example",
        "display": "Documentation example"
      }
    ]
  },
  "identifier": [
    {
      "system": "https://example.com/fhir/identifier/group",
      "value": "documentation-example"
    }
  ],
  "active": true,
  "type": "person",
  "actual": true,
  "code": {
    "coding": [
      {
        "system": "http://snomed.info/sct",
        "code": "125676002",
        "display": "Person"
      }
    ]
  },
  "name": "Example group",
  "managingEntity": {
    "reference": "Organization/00000000-0000-4000-8000-000000000009"
  },
  "characteristic": [
    {
      "code": {
        "coding": [
          {
            "system": "http://terminology.hl7.org/CodeSystem/group-characteristic",
            "code": "gender",
            "display": "Gender"
          }
        ]
      },
      "valueCodeableConcept": {
        "coding": [
          {
            "system": "http://terminology.hl7.org/CodeSystem/v3-AdministrativeGender",
            "code": "U",
            "display": "Unknown"
          }
        ]
      },
      "exclude": false
    }
  ],
  "member": [
    {
      "entity": {
        "reference": "Patient/00000000-0000-4000-8000-000000000010"
      },
      "inactive": false
    }
  ]
}

Behavior

Reads a specific historical version of a Group resource.

cURL Example

curl.exe `
  -sS `
  --connect-timeout 10 `
  --max-time 90 `
  -X GET `
  https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r4/Group/00000000-0000-4000-8000-000000000006/_history/1 `
  -H 'Accept: application/fhir+json' `
  -H 'Authorization: Bearer [REDACTED]'

Status Codes

CodeStatus
200 Historical Group representation.

FHIR Definition

Canonical: https://hl7.org/fhir/R4/group.html

Related Operations